%?mingw_package_header

Name:           mingw-sane-backends
Version:        1.0.24
Release:        2%{?dist}
Summary:        MinGW package for SANE
# lib/ is LGPLv2+, backends are GPLv2+ with exceptions
# Tools are GPLv2+
License:        GPLv2+ and GPLv2+ with exceptions and Public Domain
URL:            http://www.sane-project.org
Source0:        https://alioth.debian.org/frs/download.php/latestfile/176/sane-backends-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-libusbx
BuildRequires:  mingw64-libusbx
BuildRequires:  mingw32-pthreads
BuildRequires:  mingw64-pthreads


%description
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.).


# Mingw32
%package -n mingw32-sane-backends
Summary:        %{summary}

%description -n mingw32-sane-backends
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.).


%package -n mingw32-sane-backends-static
Summary:        Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
Requires:       mingw32-sane-backends = %{version}-%{release}


%description -n mingw32-sane-backends-static
Static version of the Scanner Access Now Easy (SANE) universal scanner interface.


# Mingw64
%package -n mingw64-sane-backends
Summary:        %{summary}


%description -n mingw64-sane-backends
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.).


%package -n mingw64-sane-backends-static
Summary:        Static version of the Scanner Access Now Easy (SANE) universal scanner interface.
Requires:       mingw64-sane-backends = %{version}-%{release}


%description -n mingw64-sane-backends-static
Static version of the Scanner Access Now Easy (SANE) universal scanner interface.


%?mingw_debug_package


%prep
%setup -q -n sane-backends-%{version}

chmod -x COPYING


%build
export BACKENDS=fujitsu \
export PRELOADABLE_BACKENDS=fujitsu \
export LIBS="-lws2_32" \
export DIST_SANELIBS_LDFLAGS="-lsane -lfujitsu" \
%mingw_configure \
                 --enable-libusb_1_0
%mingw_make %{?_smp_mflags}
touch build_win32/backend/.libs/libsane-fujitsu-1.dll
touch build_win32/backend/.libs/libsane-dll-1.dll
touch build_win64/backend/.libs/libsane-fujitsu-1.dll
touch build_win64/backend/.libs/libsane-dll-1.dll


%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/doc
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/share
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/doc
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/share

# Delete temp files
rm -r $RPM_BUILD_ROOT/%{mingw32_libdir}/sane
rm -r $RPM_BUILD_ROOT/%{mingw64_libdir}/sane
rm -r $RPM_BUILD_ROOT/%{mingw32_libdir}/bin
rm -r $RPM_BUILD_ROOT/%{mingw64_libdir}/bin


# Win32
%files -n mingw32-sane-backends
%doc COPYING
%{mingw32_bindir}/libsane-1.dll
%{mingw32_bindir}/gamma4scanimage.exe
%{mingw32_bindir}/sane-config
%{mingw32_bindir}/sane-find-scanner.exe
%{mingw32_bindir}/scanimage.exe
%{mingw32_includedir}/sane/
%{mingw32_libdir}/pkgconfig/sane-backends.pc
%{mingw32_sysconfdir}/sane.d/

%files -n mingw32-sane-backends-static
%{mingw32_libdir}/libsane.dll.a
%{mingw32_libdir}/libsane.la


# Win64
%files -n mingw64-sane-backends
%doc COPYING
%{mingw64_bindir}/libsane-1.dll
%{mingw64_bindir}/gamma4scanimage.exe
%{mingw64_bindir}/sane-config
%{mingw64_bindir}/sane-find-scanner.exe
%{mingw64_bindir}/scanimage.exe
%{mingw64_includedir}/sane/
%{mingw64_libdir}/pkgconfig/sane-backends.pc
%{mingw64_sysconfdir}/sane.d/

%files -n mingw64-sane-backends-static
%{mingw64_libdir}/libsane.dll.a
%{mingw64_libdir}/libsane.la


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 07 2013 Michael Cronenworth <mike@cchtml.com> - 1.0.24-1
- New upstream release

* Fri Sep 20 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.23-4
- Rebuild against winpthreads

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 Michael Cronenworth <mike@cchtml.com> - 1.0.23-2
- Add patch for winpthreads support.

* Thu Jul 11 2013 Michael Cronenworth <mike@cchtml.com> - 1.0.23-1
- Initial RPM package.

